#文件：test_batch2.ini    Super Prime“超级质数机”配置文件。
#file: test_batch2.ini    Super Prime software config file.

#注意：参数设置行不要有空格，不要用大写字母。
#Attention: Don't make any blank in the parameter line. Don't use any capital letter.

# checkpoint=0 运行时不显示进度
# checkpoint=1 运行时显示进度
# 如果此参数为空，默认显示进度。
# checkpoint=0 Do not show progress when running
# checkpoint=1 Show progress when running
# If this parameter is null, the program shows progress as default.
checkpoint=1

# group参数用于设定每次搜索64位质数的批量数，取值范围1-999999。
# group=1表示一个一个地搜索64位质数。
# 如果此参数为空，默认采用批量数1。
# Parameter 'group' means the batch number of searching 64 bit prime each time. The range is 1-999999.
# group=1 means searching 64 bit prime one by one.
# If this parameter is null, the program uses the default number 1.
group=10

# language=0 中英文双语
# language=1 简体中文
# language=2 英文
# 如果此参数为空，默认采用中英文双语。
# language=0 English and Chinese
# language=1 Simplified Chinese
# language=2 English
# If this parameter is null, the program uses English and Chinese as default.
language=0

# logsize参数用于设定日志文件容量(KB)，最大容量999999KB。
# 如果此参数为空，默认容量为1000KB。
# Parameter 'logsize' means log file size (KB). Maximum size is 999999KB.
# If this parameter is null, default log file size is 1000KB.
logsize=1000

# maximum、minimal参数用于设定64位质数的搜索范围。
# (免费版的范围不能超出0xfffffffffffff000-0xffffffffffffffff的限制。)
# (个人版的范围不能超出0xffffffff00000000-0xffffffffffffffff的限制。)
# 如果此参数为空，默认采用最大值0xffffffffffffffff，最小值0xffffffff。
# Parameter 'maximum' and 'minimal' determine the range of 64 bit prime searching.
# (For free version, the range can't be out of the limit 0xfffffffffffff000-0xffffffffffffffff.)
# (For personal version, the range can't be out of the limit 0xffffffff00000000-0xffffffffffffffff.)
# If either parameter is null, the program uses 0xffffffff as minimal and 0xffffffffffffffff as maximum.
maximum=0xffffffffffffffff
minimal=0xffffffffffffffa1

# show=0 不显示软件版本信息
# show=1 显示软件版本信息
# 如果此参数为空，默认显示软件版本信息。
# show=0 Do not show software version information
# show=1 Show software version information
# If this parameter is null, the program shows software version information as default.
show=0

# threads参数用于设定同时并行运算的线程数。
# 要求采用2的幂，例如1、2、4、8、……
# (免费版的线程数最大值为4。)
# (个人版的线程数最大值为32。)
# (专业版的线程数最大值为4096。)
# 如果此参数为空，默认运行2个并行线程。
# Parameter 'threads' determine the number of parallel threads.
# Power of 2 required, for example, 1,2,4,8,...
# (For free version, the maximum thread number is 4.)
# (For personal version, the maximum thread number is 32.)
# (For professional version, the maximum thread number is 4096.)
# If this parameter is null, the program runs 2 threads as default.
threads=2
